import Vue from 'vue'

// 节流指令
Vue.directive('throttle', {
    inserted(el, delay) {
        el.addEventListener('click', () => {
            // 禁用这个指令的DOM结构点击事件
            el.style.pointerEvents = 'none';
            setTimeout(() => {
                // 启动这个指令的DOM结构点击事件
                el.style.pointerEvents = 'auto';
            }, delay.value || 1000); // 默认1秒
        });
    }
});